Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create document space

POST/workspaces/{organizationId}/document-spaces
Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
descriptionstring
iconstring
publicSharingboolean
Responses
201Space created
idstringrequired
organizationIdstringrequired
namestringrequired
descriptionstring | nullrequired
iconstring | nullrequired
publicSharingbooleanrequired
createdByIdstringrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/document-spaces" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "icon": "string",
  "publicSharing": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "description": "string",
  "icon": "string",
  "publicSharing": true,
  "createdById": "string",
  "createdAt": "string"
}